{% extends 'base.html.twig' %}

{% block title %}Mon panier - La Boutique Française{% endblock %}

{% block content %}
    <h1>Mon panier</h1>
    Retrouvez l'ensemble des produits que vous avez ajouté à votre panier.
    {% if cart|length > 0 %}
        <table class="table mt-3">
            <thead>
            <tr>
                <th scope="col">Produit</th>
                <th scope="col"></th>
                <th scope="col">Quantité</th>
                <th scope="col">Prix</th>
                <th scope="col">Total</th>
                <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            {% set total = null %}
            {% for product in cart %}
                <tr>
                    <th>
                        <img src="{{ asset('uploads/' ~ product.product.illustration) }}"
                             alt="{{ product.product.name }}" height="75px"><br/>
                    </th>
                    <td>
                        {{ product.product.name }}<br/>
                        <small>{{ product.product.subtitle }}</small>
                    </td>
                    <td>
                        <a href="{{ path('decrease_to_cart', { 'id' : product.product.id }) }}">
                            <img src="{{ asset('assets/img/minus.png') }}" height="12px"
                                 alt="Retirer une quantité à mon produit">
                        </a>
                        x {{ product.quantity }}
                        <a href="{{ path('add_to_cart', { 'id' : product.product.id }) }}">
                            <img src="{{ asset('assets/img/plus.png') }}" height="12px" alt="Ajouter un produit">
                        </a>
                    </td>
                    <td>{{ (product.product.price / 100)|number_format(2, ',', '.') }} €</td>
                    <td>{{ ((product.product.price * product.quantity ) / 100)|number_format(2, ',', '.') }} €</td>
                    <td>
                        <a href="{{ path('delete_to_cart', {'id': product.product.id}) }}">
                            <img src="{{ asset('assets/img/delete.png') }}" height="18px" alt="Supprimer mon produit">
                        </a>
                    </td>
                </tr>
                {% set total = total + (product.product.price * product.quantity) %}
            {% endfor %}
            </tbody>
        </table>
        <div class="text-right mb-5">
            <b>Nombre de produit :</b> {{ cart|length }}<br/>
            <b>Total de mon panier :</b> {{ (total / 100)|number_format(2, ',', '.') }} €
            <a href="{{ path('order') }}" class="btn btn-success btn-block mt-3">Valider mon panier</a>
        </div>
    {% else %}
        <hr>
        <p><b>Votre panier est vide.</b></p>
    {% endif %}


{% endblock %}